"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/0n/_7v_bpwd1w71f8l0b0kjw5br0000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10463a980>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10463aac0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10463aa20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10463ab60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10463ac00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10463aca0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10463ad40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10463ade0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10463ae80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10463af20>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10463afc0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10463b060>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10463b100>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10463b1a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10463b240>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10463b2e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10463b380>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10463b420>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10463b4c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10463b560>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10463b600>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10463b6a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10463b740>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10463b7e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10463b880>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10463b920>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10463b9c0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10463ba60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10463bb00>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10463bba0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10463bc40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10463bce0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10463bd80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10463be20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10463bec0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10463bf60>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10468c040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10468c0e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10468c180>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10468c220>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10468c2c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10468c360>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10468c400>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10468c4a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10468c540>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10468c5e0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10468c680>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10468c720>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10468c7c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10468c860>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10468c900>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10468c9a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10468ca40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10468cae0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10468cb80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10468cc20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10468ccc0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10468cd60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10468ce00>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10468cea0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10468cf40>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10468cfe0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10468d080>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10468d120>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10468d1c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10468d260>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10468d300>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10468d3a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10468d440>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10468d4e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10468d580>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10468d620>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10468d6c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10468d760>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10468d800>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10468d8a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10468d940>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10468d9e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10468da80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10468dbc0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10468db20>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10468dc60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10468dd00>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10468dda0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10468de40>)]
name: str = 'fr_HOCCN'
